#include "GameObject.h"
#include "Event.h"

class Coin : public GameObject {

protected:
//void kbd(EventKeyboard *keyboard_event);
  

public:
	void move(int dx,int dy);
	void step();
	//void draw();
	Coin();
	~Coin();
	int eventHandler(Event *e);
};